BUG? Re: compiling Python 2.1.1

Roman Suzi rnd at onego.ru
Tue Aug 28 15:29:04 CEST 2001


On Tue, 28 Aug 2001, Skip Montanaro wrote:

> 
>     Roman> OK... Using Distutils for Python 1.5.2 for building Python 2.1.1
>     Roman> is impossible, because there are things missing and all kinds of
>     Roman> new syntax features (list comprehensions, +=, **args-call
>     Roman> syntax).
> 
> Roman,
> 
> Why aren't you just using the 2.1.1 distribution?  You shouldn't need *any*
> Python interpreter until after the core has been built.  Setup.py is only
> used to build the stuff in the Modules directory after the core interpreter
> has been built in the usual configure/make fashion.
> 
>     Roman> How people are supposed to build and install Python 2.1.1 on
>     Roman> RedHat 6x systems _right way_?
> 
> I'm sure many people have done this already.  Start from the tar.gz
> distribution. 

That is what I did. However, package management is essential 
for system's maintainability. And I think bdist_rpm need to
work correctly.

Sincerely yours, Roman A.Suzi
-- 
 - Petrozavodsk - Karelia - Russia - mailto:rnd at onego.ru -
 





More information about the Python-list mailing list